/**
 * Site
 */

/* language switcher */
.languages {
	position: relative;
	margin-left: 15px;
	margin-right: 15px;
}

.languages__button {
	margin: 0;
	padding: 0 25px;
	color: var(--color-white);
}

@media screen and (max-width: 980px) {
	.languages__button {
		line-height: 30px;
		padding: 0 15px;
	}	
}

@media screen and (max-width: 480px) {
	.languages__button {
		line-height: 22px;
		padding: 0 10px;
	}	
}

.languages__button:hover,
.languages__button:focus,
.languages__button.active {
	color: var(--color-white);
	background-color: var(--color-link);
	border-color: var(--color-white-0);
}

.languages__button-title {
	padding-right: 4px;
	display: inline-block;
}

.languages__button-arrow svg {
	max-width: 20px;
	margin-top: 10px;
	position: relative;
	transform: rotateZ(0deg);
	transition: all .3s ease;
}

.languages__button.active .languages__button-arrow svg {
	transform: rotateZ(180deg);	
}

.languages__container {
	position: absolute;
	top: 100%;
	right: 0;
	z-index: 115;
	display: none;
	min-width: 100%;
	width: auto;
	border-radius: 4px;
	padding: 10px 0;
	background: var(--color-white);
}

.languages__container.active {
	display: block;
}

.languages__link {
	display: block;
	width: 100%;
	margin-bottom: 5px;
	padding: 0 15px;
	color: var(--color-dark);
}

.languages__link:hover,
.languages__link:focus {
	color: var(--color-dark);
	background-color: var(--light-mask);
}

.languages__link.active {
	border-left: 2px solid var(--color-link);
	color: var(--color-link);
}